#!/bin/bash

echo "Solving social golfer for $1 players, $2 groups, $3 weeks..."

TOTAL=0

TIME1=`date +%s`
echo "Grounding..."
php socialGolfer.php $1 $2 $3 > cnf.txt
TIME2=`date +%s`
DIFF=$(($TIME2-$TIME1))
echo "$DIFF seconds needed";
TOTAL=$(($TOTAL+$DIFF))

echo "Solving..." 
zchaff cnf.txt > out.txt
TIME3=`date +%s`
DIFF=$(($TIME3-$TIME2))
TOTAL=$(($TOTAL+$DIFF))
echo "$DIFF seconds needed";

echo "Retrieving solution..." 
cat out.txt | php zchaff2SocialGolfer.php cnf.txt
TIME4=`date +%s`
DIFF=$(($TIME4-$TIME2))
TOTAL=$(($TOTAL+$DIFF))
echo "$DIFF seconds needed";

echo ""
echo "**********************************************"
echo "****** $TOTAL seconds needed for the whole process"